Skip to content

/aea/v1/results/jobs/{job_id}

Request

Security
(bearer and appkey) or (sauth_service_token and appkey)
Path
job_idstringrequired
Headers
slb-partition-idstringrequired

Slb partition id

curl -i -X GET \
  'https://eu-api.delfi.slb.com/drillplan/aea/v1/aea/v1/results/jobs/{job_id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string'

Responses

Success

Body
calculationsArray of objects or null(Calculation)
job_idstring or null
plan_idstring or null
scope_idstring or null
plan_versioninteger, (int32)
finishedboolean
Response
{
  "calculations": [
    {
      "calculation_id": "string",
      "status": "New",
      "scope_id": "string",
      "agent": {
        "name": "string",
        "version": "string",
        "agent_id": "string"
      }
    }
  ],
  "job_id": "string",
  "plan_id": "string",
  "scope_id": "string",
  "plan_version": 0,
  "finished": true
}